/* MEDIA QUERIES */

@media not all and (min-width: 1536px) {
  :root {
    --wp--custom--wrapper--px: 80px !important;
    --wp--custom--wrapper--gap: 80px !important;
  }
}

@media not all and (min-width: 1280px) {
  :root {
    --wp--custom--wrapper--gap: 60px !important;
  }
}

@media not all and (min-width: 1024px) {
  :root {
    --wp--custom--wrapper--px: 40px !important;
    --wp--custom--wrapper--gap: 40px !important;
    --wp--preset--font-size--40: 36px !important;
    --wp--preset--font-size--36: 32px !important;
    --wp--preset--font-size--32: 28px !important;
    --wp--preset--font-size--28: 24px !important;
    --wp--preset--font-size--20: 18px !important;
  }
}

@media not all and (min-width: 768px) {
  :root {
    --wp--custom--wrapper--px: 20px !important;
    --wp--preset--font-size--40: 32px !important;
  }
}

@media not all and (min-width: 640px) {
  :root {
    --wp--preset--font-size--40: 24px !important;
    --wp--preset--font-size--36: 24px !important;
    --wp--preset--font-size--32: 22px !important;
    --wp--preset--font-size--28: 20px !important;
  }
}

@media not all and (min-width: 391px) {
}

/* GENERAL */

html {
  scroll-behavior: smooth;
  scroll-padding-top: 122px;
}

p:empty {
  display: none;
}

:root {
  --black: var(--wp--preset--color--custom-black);
  --white: var(--wp--preset--color--custom-white);
  --blue-title: var(--wp--preset--color--custom-blue-title);
  --black-footer: var(--wp--preset--color--custom-black-footer);
  --white-footer: var(--wp--preset--color--custom-white-footer);
  --light-blue: var(--wp--preset--color--custom-light-blue);
  --px: var(--wp--custom--wrapper--px);
  --gap: var(--wp--custom--wrapper--gap);
}

/* HEADER */

.div-header {
  transition: all 0.3s ease-out;
}

html[data-scroll="0"] .div-header {
  --webkit-box-shadow: 0px 4px 12px rgba(0, 0, 0, 0);
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0);
}

html:not([data-scroll="0"]) .div-header,
html[data-scroll="0"] body.page-id-27 .div-header,
html[data-scroll="0"] body.error404 .div-header {
  --webkit-box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.05);
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.05);
}

.nav-desktop,
.ul-one,
.ul-two {
  display: flex;
  align-items: center;
}

.nav-desktop {
  gap: 60px;
  width: 100%;
}

.ul-one,
.ul-two {
  width: 50%;
  gap: 40px;
}

.ul-one {
  justify-content: flex-end;
}

.ul-two {
  justify-content: flex-start;
}

.menu-item:not(.btn-contact) a {
  display: block;
  width: max-content;
  font-family: var(--wp--preset--font-family--noto-serif-jp);
  font-size: var(--wp--preset--font-size--p);
  font-weight: 500;
  color: var(--black);
  transition: color 0.3s ease-out;
}

.menu-item:not(.btn-contact):hover a,
.current-menu-item:not(.btn-contact) a {
  color: var(--light-blue);
}

.btn-contact a{
  display: block;
  width: max-content;
  padding: 12px 24px;
  font-family: var(--wp--preset--font-family--noto-serif-jp);
  font-size: var(--wp--preset--font-size--p);
  font-weight: 500;
  color: var(--white);
  background-color: var(--blue-title);
  border: solid 1px var(--blue-title);
  transition: all 0.3s ease-out;
}

.btn-contact a:hover {
  color: var(--blue-title);
  background-color: transparent;
}

.logo-header {
  transform: scale(1);
  transition: transform 0.3s ease-out;
}

.logo-header:hover {
  transform: scale(0.95);
}

.icon-burger {
  display: flex;
  flex-direction: column;
  gap: 8px;
  cursor: pointer;
}

.icon-burger span {
  width: 100%;
  transform: rotate(0deg) translateX(0) translateY(0);
  opacity: 1;
  background: var(--blue-title);
  transition: all 0.3s ease-out;
}

.icon-burger:hover span {
  background: var(--light-blue);
}

.icon-burger.active span:nth-child(1) {
  transform: rotate(45deg) translateX(6.5px) translateY(6.5px);
}
.icon-burger.active span:nth-child(2) {
  opacity: 0;
}
.icon-burger.active span:nth-child(3) {
  transform: rotate(-45deg) translateX(7px) translateY(-7px);
}

/* MENU MOBILE */

.menu-mobile {
  position: fixed;
  z-index: -1;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100dvh;
  transform: translateX(100%);
  transition: height 0.3s ease-out, transform 0.4s ease-out;
}

.menu-closed {
  transform: translateX(100%);
}

.menu-opened {
  transform: translateX(0%);
}

.nav-mobile ul{
  border-top: solid 1px var(--black);
  border-bottom: solid 1px var(--black);
  padding-block: 24px;
  max-height: calc(100svh - 200px);
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: var(--black) transparent;
  padding-right: 20px;
}

.nav-mobile .btn-contact {
  display: none;
}

/* FOOTER */

.link-footer a{
  color: var(--white-footer);
  transition: color 0.3s ease-out;
}

.link-footer:hover a{
  color: var(--light-blue);
}

/* MISCELLANEOUS */

.link-text {
  color: var(--black);
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 2px;
  transition: color 0.3s ease-out;
}

.link-text:hover {
  color: var(--light-blue);
}

/* CONTACT */

.wpforms-container {
  width: 100% !important;
  margin: 0 !important;
}

.wpforms-required-label {
  display: none !important;
}

.wpforms-field-container label,
.wpforms-field-container legend, 
.wpforms-field-container input,
.wpforms-field textarea,
.modern-title {
  font-size: var(--wp--preset--font-size--p) !important;
  font-family: var(--wp--preset--font-family--noto-serif-jp) !important;
  color: #000B13 !important;
  margin: 0 !important;
  font-weight: 400 !important;
  line-height: 137% !important;
}

.wpforms-field-container label:not(.wpforms-field-label-inline),
legend {
  padding-bottom: 6px !important;
}

.wpforms-container .wpforms-field {
  padding-bottom: 16px !important;
  padding-top: 0 !important;
}

.wpforms-submit::after {
  border: none !important;
  position: inherit !important;
}

.depth-1 {
  align-items: center !important;
}

.btn-envoi-form {
  display: block !important;
  width: max-content !important;
  padding: 12px 24px !important;
  font-family: var(--wp--preset--font-family--noto-serif-jp) !important;
  font-size: var(--wp--preset--font-size--p) !important;
  font-weight: 500 !important;
  color: var(--white) !important;
  background-color: var(--blue-title) !important;
  border: solid 1px var(--blue-title) !important;
  transition: all 0.3s ease-out !important;
}

.btn-envoi-form:hover {
  color: var(--blue-title) !important;
  background-color: transparent !important;
}

/* MENTIONS LEGALES */

.netdev-mentions-legales {
  width: 100%;
}

.netdev-mentions-legales h2 {
  padding-top: 40px;
  padding-bottom: 20px;
}

.netdev-mentions-legales a {
  font-weight: 700;
  color: var(--black);
  word-break: break-all;
  transition: color 0.3s ease-out;
}

.netdev-mentions-legales a:hover {
  color: var(--light-blue);
}